org.eclipse.emf.compare.merge

## Interface IMerger.Registry2

All Superinterfaces:
  IMerger.Registry

All Known Implementing Classes:
  IMerger.RegistryImpl

Enclosing interface:
  IMerger

    public static interface IMerger.Registry2
    extends IMerger.Registry

Registry that can provide its mergers sorted by rank descending.

Since:
  3.3

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterator<IMerger>` `getMergersByRankDescending(Diff diff, IMergeCriterion criterion)` Provide the merger with the highest ranking among those that: Are compatible with the given diff; Match the given non-null criterion.

### Methods inherited from interface org.eclipse.emf.compare.merge.IMerger.Registry

`add, clear, getHighestRankingMerger, getMergers, remove`

### Method Detail

#### getMergersByRankDescending

    Iterator<IMerger> getMergersByRankDescending(Diff diff,
                                                 IMergeCriterion criterion)

Provide the merger with the highest ranking among those that:

- Are compatible with the given diff;
- Match the given non-null criterion.

Parameters:
  `diff` - The diff
  `criterion` - The criterion
Returns:
  The best merger found, should never be null (throw an exception if no merger found)